Find the answer to your Linux question:
Results 1 to 4 of 4
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1

    Problems installing JasperSoft


    I'm attempting to install jaspersoft on a CentOS virtual machine. I'm running Tomcat 7. When I run the ./js-install-ce.sh file I'm getting an error BUILD FAILED
    /opt/jasperreports-server-cp-5.6.0-bin/buildomatic/build.xml:61: The following error occurred while executing this line:
    /opt/jasperreports-server-cp-5.6.0-bin/buildomatic/bin/setup.xml:740: The following error occurred while executing this line:
    /opt/jasperreports-server-cp-5.6.0-bin/buildomatic/bin/setup.xml:543: The following error occurred while executing this line:
    /opt/jasperreports-server-cp-5.6.0-bin/buildomatic/bin/setup.xml:727: /usr/share/tomcat/lib does not exist.

    This directory does exsist. It points to /usr/share/java/tomcat. When I look at line 727 in my setup.xml file, it points to <if>
    <not>
    <available classname="org.apache.tomcat.dbcp.dbcp.BasicDataSo urceFactory"
    classpathref="tomcatDBCPPath"/>
    </not>
    <then>
    <var name="tomcatBasicDatasourceFactory" value="com.jaspersoft.jasperserver.tomcat.jndi.JSC ommonsBasicDataSourceFactory" />
    </then>
    </if>
    <echo message="Tomcat DBCP Factory: ${tomcatBasicDatasourceFactory}"/>

    I'm new at this, so any help you can give would be appreciated.

  2. #2
    Linux Guru Segfault's Avatar
    Join Date
    Jun 2008
    Location
    Acadiana
    Posts
    2,185
    Code:
    /opt/jasperreports-server-cp-5.6.0-bin/buildomatic/build.xml:61: The following error occurred while executing this line:
    Where is this error? Only the first error matters.

  3. #3
    Quote Originally Posted by Segfault View Post
    Code:
    /opt/jasperreports-server-cp-5.6.0-bin/buildomatic/build.xml:61: The following error occurred while executing this line:
    Where is this error? Only the first error matters.
    That references this line in build.xml.

    <import file="bin/setup.xml"/>

    The next error, line 740 in setup.xml:

    <gen-config-if-required />

  4. $spacer_open
    $spacer_close
  5. #4
    Linux Guru Segfault's Avatar
    Join Date
    Jun 2008
    Location
    Acadiana
    Posts
    2,185
    -->
    It seems JasperSoft is commercial software, as a paying customer you are entitled fast and professional help by their support.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •